import axios from 'axios';

export default class ApartamentService {
    static async getAll(limit, offest) {
        const response = await axios.get('http://127.0.0.1:8000/api/apartaments/', {
            params: {
                limit: limit,
                ...(offest !== 0 ? {offset: offest} : {})
            }
        })
        return response;
    }

    static async getById(id) {
        const response = await axios.get('http://127.0.0.1:8000/api/apartament/' + id)
        return response;
    }
}